Bug 16428

Summary: JavaScriptCore should use WebCore threading wrappers
Product: WebKit Reporter: Brent Fulgham <bfulgham>
Component: JavaScriptCoreAssignee: Brent Fulgham <bfulgham>
Status: RESOLVED FIXED    
Severity: Normal    
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Bug Depends on: 16464    
Bug Blocks:    

Description Brent Fulgham 2007-12-13 14:21:20 PST
The Windows build of JavaScriptCore uses a win32 version of pthread.  However, WebCore has a set of threading wrappers that abstract this platform specific linkage.

This bug involves three steps:
1.  Move WebCore's threading primitives to wtf.
2.  Adjust WebCore's dependencies to find threading inside wtf.
3.  Modify JavaScriptCore to use the wtf threading primitives
Comment 1 Brent Fulgham 2007-12-14 12:32:56 PST
Consider the internal threading changes made for Bug 4635 -- they might be valid for win32.
Comment 2 Brent Fulgham 2007-12-14 12:46:04 PST
Also consider the internal threading changes made for Bug 4645 -- they might be
valid for win32.

Comment 3 Brent Fulgham 2008-02-23 22:52:00 PST
Resolved by changes landed in Changeset 30522 (and subsequent fixes).